# eoSGATransform< EOT > Class Template Reference

eoSGATransform: transforms a population using genetic operators. More...

`#include <eoSGATransform.h>`

Inheritance diagram for eoSGATransform< EOT >:

List of all members.

## Public Member Functions

| eoSGATransform (eoQuadOp< EOT > &_cross, double _cProba, eoMonOp< EOT > &_mutate, double _mProba)
| Default constructor.
void | operator() (eoPop< EOT > &_pop)
| Transforms a population.

## Private Attributes

eoInvalidateQuadOp< EOT > | cross
double | crossoverProba
eoInvalidateMonOp< EOT > | mutate
double | mutationProba

## Detailed Description

### template<class EOT>
class eoSGATransform< EOT >

eoSGATransform: transforms a population using genetic operators.

It does it exactly as class eoSGA, i.e. only accepts quadratic crossover and unary mutation It is here mainly for tutorial reasons

Definition at line 45 of file eoSGATransform.h.

## Member Function Documentation

template<class EOT>
void eoSGATransform< EOT >::operator() | ( | eoPop< EOT > & | _pop | ) | `[inline, virtual]`

Transforms a population.

Parameters:

  | pop | The population to be transformed.

Implements eoUF< eoPop< EOT > &, void >.

Definition at line 62 of file eoSGATransform.h.

References eoRng::flip().

The documentation for this class was generated from the following file:

- eoSGATransform.h